/*
 * @Author: Kane
 * @Date: 2023-02-04 10:52:31
 * @LastEditors: Kane
 * @LastEditTime: 2023-02-04 13:38:58
 * @FilePath: /后端-需求/src/main/java/com/cpic/xim/data/RequirementStatus.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.data;

import com.fasterxml.jackson.annotation.JsonProperty;

public final class RequirementStatus
{
    public RequirementStatus()
    {}

    public int getStatus_code()
    {
        return status_code;
    }

    public void setStatus_code( int status_code )
    {
        this.status_code = status_code;
    }

    public String getStatus_name()
    {
        return status_name;
    }

    public void setStatus_name( String status_name )
    {
        this.status_name = status_name;
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + status_code;
        result = prime * result + ((status_name == null) ? 0 : status_name.hashCode());
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( obj == null )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        RequirementStatus other = (RequirementStatus) obj;
        if ( status_code != other.status_code )
            return false;
        if ( status_name == null )
        {
            if ( other.status_name != null )
                return false;
        } else if ( !status_name.equals( other.status_name ) )
            return false;
        return true;
    }

    @Override
    public String toString()
    {
        return "RequirementStatus [status_code=" + status_code + ", status_name=" + status_name
                + "]";
    }

    @JsonProperty( "status_code" )
    private int status_code;

    @JsonProperty( "status_name" )
    private String status_name;
}
